using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using MySql.Data.MySqlClient;
using System.Data.Common;

namespace MySqlSProcTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            DbConnection conn = new MySqlConnection(
                System.Configuration.ConfigurationManager.ConnectionStrings["MySqlSProcTest.Properties.Settings.testConnectionString"].ConnectionString);
            this.RunSP(conn);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            DbConnection conn = new MySqlConnection(
                System.Configuration.ConfigurationManager.ConnectionStrings["MySqlSProcTest.Properties.Settings.testCapitalConnectionString"].ConnectionString);
            this.RunSP(conn);
        }

        private void RunSP(DbConnection conn)
        {
            DbCommand cmd = new MySqlCommand("sptest_One");
            cmd.Connection = conn;
            cmd.CommandType = CommandType.StoredProcedure;
            DbDataReader reader = null;
            int? result1 = null;

            try
            {
                conn.Open();

                reader = cmd.ExecuteReader(CommandBehavior.SingleResult);

                if (reader.HasRows)
                {
                    reader.Read();
                    result1 = reader.GetInt32(0);
                }

                MessageBox.Show("SP executed successfully\nFirst column = " + result1);
            }
            catch (Exception ex)
            {
                MessageBox.Show("Exception occurred: " + ex.GetType().ToString() + "\n" + ex.Message);
            }
            finally
            {
                if (reader != null)
                    reader.Close();

                if (cmd != null)
                    cmd.Dispose();

                if (conn != null)
                    conn.Close();
            }
        }
    }
}